Table of Contents

## Name

AuGrabNotifyEvent - grab notify event structure

## Structures

#include <audio/audiolib.h>

typedef union _AuEvent
{
. . .
AuGrabNotifyEvent augrabnotify;
. . .
}AuEvent;

typedef struct _AuGrabNotifyEvent
{
int type;
AuUint32 serial;
AuBool send_event;
AuServer *server;
AuTime time;
AuID id;
unsigned char kind;
unsigned char pad1;
unsigned short pad2;
AuID client;
}AuGrabNotifyEvent;

## Members

type
  The event type. GrabNotify events are type AuEventTypeGrabNotify.
serial
  The serial ID of the event expanded from the 16 bit value sent by the server.
send_event
  AuTrue if the event came from a SendEvent protocol request.
server
  The connection to the audio server that the event was read from.
time
  The server time in milliseconds when the event was generated.
id
  The ID of the component grabbed.
kind
  Either AuGrabNotifyKindRequested or AuGrabNotifyKindReleased.
pad1
pad2
client
  The client making the grab.

## Description

GrabNotify events are sent to client applications to notify them that a component has been grabbed or released.

## Notes

Not implemented. So this is all just speculation.

## See Also

AuAnyEvent, AuElementNotifyEvent, AuErrorEvent, AuMonitorNotifyEvent.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Structures
- Members
- Description
- Notes
- See Also